diff -urN orig/Portfile patch/Portfile
--- orig/Portfile	2011-03-09 22:58:20.000000000 +0100
+++ patch/Portfile	2011-03-09 23:09:51.000000000 +0100
@@ -5,11 +5,11 @@
 PortGroup               xcode 1.0
 
 name                    FScript
-version                 2.0.1
+version                 2.1
 categories              aqua lang
 platforms               darwin
 license                 BSD
-maintainers             nomaintainer
+maintainers             googlemail.com:ciserlohn
 
 description             Open-source interactive Cocoa scripting environment
 long_description        F-Script is an open-source interactive and scripting \
@@ -24,26 +24,48 @@
 
 fetch.type              git
 git.url                 git://github.com/pmougin/F-Script
-git.branch              9f46645527bd47cdaae9f1211e282571b4667603
+git.branch              25c850c66760bcc5e69af273607e5fae7920fbe5
+
+patchfiles              patch-FScript.xcodeproj-project.pbxproj.diff
 
 xcode.target            FScriptFramework F-Script FScriptIBPlugin
 xcode.destroot.settings SKIP_INSTALL=NO
+xcode.destroot.type     ""
 
-destroot.violate_mtree  yes
+if {[variant_isset injection_service] || ![variant_isset without_ibplugin]} {
+    destroot.violate_mtree yes
+}
 
 variant without_ibplugin description "Disable Interface Builder Plug-in" {
         xcode.target-delete FScriptIBPlugin
-        destroot.violate_mtree no
 }
 
 set ibplugin_dir "${developer_dir}/Platforms/MacOSX.platform/Developer/Library/Interface Builder/Plug-ins"
 
+variant injection_service description "Enable F-Script injection service" {
+    master_sites            http://www.fscript.org/download
+    distfiles               F-ScriptInjectionService.zip
+
+    checksums               F-ScriptInjectionService.zip \
+                            1a628553308b4e607854e5e6393790d5
+    use_zip                 yes
+
+}
+
+pre-build {
+            reinplace "s|MACPORTS_APP_DIR|${applications_dir}|g" ${worksrcpath}/FScript.xcodeproj/project.pbxproj
+            reinplace "s|MACPORTS_FRAMEWORK_DIR|${frameworks_dir}|g" ${worksrcpath}/FScript.xcodeproj/project.pbxproj
+}
+
 post-destroot {
-        delete ${destroot}${applications_dir}/FSTest1.app
-        delete ${destroot}${applications_dir}/FSTest2.app
-        file rename ${destroot}${applications_dir}/FScript.framework ${destroot}${frameworks_dir}/
         if { ![variant_isset without_ibplugin] } {
                 xinstall -d -m 755 ${destroot}${ibplugin_dir}
                 file rename ${destroot}${applications_dir}/FScriptIBPlugin.ibplugin ${destroot}${ibplugin_dir}
         }
+
+        if [variant_isset injection_service] {
+            xinstall -d ${destroot}/Library/Services
+            file rename "${workpath}/F-ScriptInjectionService/Inject F-Script into application.workflow" ${destroot}/Library/Services/
+            reinplace "s|/Library/Frameworks|${frameworks_dir}|g" "${destroot}/Library/Services/Inject F-Script into application.workflow/Contents/document.wflow"
+        }
 }
